Skip to content

Clone a volume

POST/volumes/{name}/clone

Copies the quiescent volume {name} into a new volume. 409 when the target exists or the source is attached to a running sandbox.

path parameters
object
namestringrequired

Source volume to clone (must be quiescent).

Request bodyapplication/json
CloneVolReq
tostring

Name of the new volume to create.

Responses
201 CreatedCreated
Volume
attached_tostring
created_atstringdate-time
encryptedboolean
host_idstring
key_idstring
namestring
size_bytesintegerint64
400 Bad requestBad Request
ErrorResponse
codestring
errorstring
404 Not foundNot Found
ErrorResponse
codestring
errorstring
409 ConflictConflict
ErrorResponse
codestring
errorstring
501 Not Implemented
ErrorResponse
codestring
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
POST/volumes/{name}/clone
cURL
curl '/volumes/{name}/clone' \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{}'
POST/volumes/{name}/clone
Request
Path
Authorization
curl '/volumes/{name}/clone' \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{}'
Response
Send a request to see the response.
Response
201 Created
{
  "attached_to": "string",
  "created_at": "2026-01-02T15:04:05Z",
  "encrypted": false,
  "host_id": "string",
  "key_id": "string",
  "name": "string",
  "size_bytes": 0
}
Was this page helpful?